Bug 1969471 - HAProxy tests in sdn-network-stress job are flaky
Summary: HAProxy tests in sdn-network-stress job are flaky
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: Luigi Mario Zuccarelli
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-08 13:40 UTC by Oleg Bulatov
Modified: 2021-10-18 17:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Performance tests [sig-network][Feature:Router] The HAProxy router should expose prometheus metrics for a route [Skipped:Disconnected] [Suite:openshift/conformance/parallel] [sig-network][Feature:Router] The HAProxy router should enable openshift-monitoring to pull metrics [Skipped:Disconnected] [Suite:openshift/conformance/parallel] were failing intermittently Consequence: This caused the CI conformance tests to be flaky Fix: By adding the simple selector for active data only in the url the data response from the prometheus server is reduced Result: Continuous execution in the CI process results in less flaky tests
Clone Of:
Environment:
[sig-network][Feature:Router] The HAProxy router should expose prometheus metrics for a route [Skipped:Disconnected] [Suite:openshift/conformance/parallel] [sig-network][Feature:Router] The HAProxy router should enable openshift-monitoring to pull metrics [Skipped:Disconnected] [Suite:openshift/conformance/parallel]
Last Closed: 2021-10-18 17:33:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26396 0 None None None 2021-08-17 11:38:58 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:33:36 UTC

Description Oleg Bulatov 2021-06-08 13:40:51 UTC
Description of problem:

The tests

* The HAProxy router should expose prometheus metrics for a route
* The HAProxy router should enable openshift-monitoring to pull metrics

causes about 2/3 of release-openshift-origin-installer-e2e-aws-sdn-network-stress-4.8 runs to fail.

OpenShift release version:

4.8

Cluster Platform:

aws

How reproducible:

Often

Steps to Reproduce (in detail):
1. CI

Actual results:


Expected results:


Impact of the problem:


Additional info:

You can find CI results at:

https://testgrid.k8s.io/redhat-openshift-ocp-release-4.8-informing#release-openshift-origin-installer-e2e-aws-sdn-network-stress-4.8&include-filter-by-regex=HAProxy%20router%20should%7COverall

Comment 1 Miciah Dashiel Butler Masters 2021-06-11 23:03:57 UTC
We believe this is a problem with the test and not a regression in the router, so setting blocker-.

Comment 10 errata-xmlrpc 2021-10-18 17:33:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.